Page MenuHomePhabricator

When you open VE with a narrow browser window, the toolbar jumps around
Closed, ResolvedPublic

Assigned To
Authored By
matmarex
Feb 12 2022, 10:57 PM
Referenced Files
F34952455: Screenshot 2022-02-15 at 15.44.28.png
Feb 15 2022, 5:24 PM
F34952457: Screenshot 2022-02-15 at 15.45.17.png
Feb 15 2022, 5:24 PM
F34950065: 1old.webm
Feb 12 2022, 10:57 PM
F34950068: 2new.webm
Feb 12 2022, 10:57 PM
F34950067: 2old.webm
Feb 12 2022, 10:57 PM
F34950066: 1new.webm
Feb 12 2022, 10:57 PM

Description

When you open VE with a narrow browser window, the toolbar sometimes jumps around in an ugly way.

I've noticed two problems at specific window widths, see below. Each video shows the behavior before and after fixes.

Both issues also occur with the new toolbar loading animation from T299907, although they are a lot less noticeable (ugly toolbar only flashes for a frame or two – you might need to download the videos and step frame-by-frame to see it). Still, noticeable enough that something seemed off to me while testing (I was comparing the new toolbar to the old side-by-side).

1. At very slightly more than half of 1920px screen:
(caused by the toolbar switching from wide to narrow styling too late)

Current toolbarNew toolbar from T299907

2. At exactly half of 1920px screen:
(caused by the edit notices tool being hidden too late, when there aren't any notices)

Current toolbarNew toolbar from T299907

Event Timeline

Change 762095 had a related patch set uploaded (by Bartosz Dziewoński; author: Bartosz Dziewoński):

[VisualEditor/VisualEditor@master] ve.init.Target: Attach actions to toolbar before attaching the toolbar

https://gerrit.wikimedia.org/r/762095

Change 762096 had a related patch set uploaded (by Bartosz Dziewoński; author: Bartosz Dziewoński):

[mediawiki/extensions/VisualEditor@master] Fix narrow toolbar jumping during loading

https://gerrit.wikimedia.org/r/762096

Change 762098 had a related patch set uploaded (by Bartosz Dziewoński; author: Bartosz Dziewoński):

[mediawiki/extensions/VisualEditor@master] Hide the edit notices tool earlier if there aren't any

https://gerrit.wikimedia.org/r/762098

Change 762095 abandoned by Bartosz Dziewoński:

[VisualEditor/VisualEditor@master] ve.init.Target: Attach actions to toolbar before attaching the toolbar

Reason:

Already done in https://gerrit.wikimedia.org/r/758532

https://gerrit.wikimedia.org/r/762095

Change 762096 merged by jenkins-bot:

[mediawiki/extensions/VisualEditor@master] Fix narrow toolbar jumping during loading

https://gerrit.wikimedia.org/r/762096

Change 762098 merged by jenkins-bot:

[mediawiki/extensions/VisualEditor@master] Hide the edit notices tool earlier if there aren't any

https://gerrit.wikimedia.org/r/762098

Current Toolbar:
Buggy:

Screenshot 2022-02-15 at 15.44.28.png (1×2 px, 472 KB)

Fixed:

Screenshot 2022-02-15 at 15.45.17.png (1×2 px, 450 KB)

The one with the current toolbar was easier to catch is why I could get a screenshots.

I compared both cases under the New toolbar from T299907 column below as well. Looks good to me.